import sys
import nltk
import codecs
from nltk.tokenize import word_tokenize, wordpunct_tokenize, sent_tokenize

#f = codecs.open(sys.argv[1], "r", "utf-8")
c = open(sys.argv[1], 'r').read()
#c = f.read()

print [word_tokenize(t) for t in sent_tokenize(c)]
sys.stdout.flush()